PTHREAD-CONFIG(1)

NAME
pthread-config - Pth pthread library build utility

VERSION
pthsem .0.8

SYNOPSIS
pthread-config [--help] [--version] [--all] [--prefix] [--exec-prefix] [--bindir] [--libdir] [--includedir] [--mandir] [--cflags] [--ldflags] [--libs]

DESCRIPTION
The pthread-config program is a little helper utility for easy configuring and building applications based on the pthread emulation API of the GNU Portable Threads (pth) library. It can be used to query the C compiler and linker flags which are required to correctly compile and link the application against the pth(3) library.

OPTIONS
pthread-config accepts the following options:

--help
    Prints the short usage information.

--version
    Prints the version number and date of the installed pth(3) library.

--all
    Forces the output of all flags, that is, including extra flags which are not Pth specific.

--prefix
    Prints the installation prefix of architecture independent files

--exec-prefix
    Prints the installation prefix of architecture dependent files.

--bindir
    Prints the installation directory of binaries.

--libdir
    Prints the installation directory of libraries.

--includedir
    Prints the installation directory of include headers.

--mandir
    Prints the installation directory of manual pages.

--cflags
    Prints the C compiler flags which are needed to compile the pth(3)-based application. The output is usually added to the "CFLAGS" variable of the applications "Makefile".

--ldflags
    Prints the linker flags ("-L") which are needed to link the application with the pth(3) library. The output is usually added to the "LDFLAGS" variable of the applications "Makefile".

--libs
    Prints the library flags ("-l") which are needed to link the application with the pth(3) library. The output is usually added to the "LIBS" variable of the applications "Makefile".

EXAMPLE
 CC      = cc
 CFLAGS  = -O `pthread-config --cflags`
 LDFLAGS = `pthread-config --ldflags`
 LIBS    = -lm `pthread-config --libs`

 all: foo
 foo: foo.o
     $(CC) $(LDFLAGS) -o foo foo.o $(LIBS)
 foo.o: foo.c
     $(CC) $(CFLAGS) -c foo.c

SEE ALSO
pthread(3), cc(1).

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com